<?php
	
// Register a theme options page
add_filter( 'mb_settings_pages', function ( $settings_pages ) {
    $settings_pages[] = array(
        'id'          => 'edd-custom-credit-card-icons',
        'option_name' => 'edd-custom-credit-card-icons',
        'menu_title'  => 'Custom Credit Card Icons',
        'icon_url'    => 'dashicons-edit',
        'style'       => 'no-boxes',
        'parent'		=> 'edit.php?post_type=download',
        'columns'     => 1,
        'tabs'        => array(
            'general' => 'Add Icons',
            'faq'     => 'FAQ & Help',
        ),
    );
    return $settings_pages;
} );

// Register meta boxes and fields for settings page
add_filter( 'rwmb_meta_boxes', function ( $meta_boxes ) {
    $meta_boxes[] = array(
        'id'             => 'general',
        'title'          => 'Add Payment Method Icon',
        'settings_pages' => 'edd-custom-credit-card-icons',
        'tab'            => 'general',
        'fields' => array(
            array(
	            'name'   => 'Custom Credit Card Icons', // Optional
	            'id'     => 'ccci_icons',
	            'type'   => 'group',
	            'clone'  => true,
				//'sort_clone' => true,
	            'add_button' => '+ Add another icon',
	            // List of sub-fields
	            'fields' => array(
	                array(
	                    'name' => 'Name of the Payment Method',
	                    'id'   => 'ccci_name_method',
	                    'type' => 'text',
	                ),
	                // Other sub-fields here
	                
	                array(
					    'name'             => 'Icon of the Payment Method',
					    'id'               => 'ccci_icon_method',
					    'type'             => 'image_upload',
					    'image_size'	   => 'medium',
					
					    // Delete image from Media Library when remove it from post meta?
					    // Note: it might affect other posts if you use same image for multiple posts
					    'force_delete'     => true,
					    'max_file_uploads' => 1,
					
					    // Maximum image uploads
					    // 'max_file_uploads' => 2,
					),
	            ),
	        ),
	        

            
        ),
    );

    $meta_boxes[] = array(
        'id'             => 'info',
        'title'          => 'Theme Info',
        'settings_pages' => 'edd-custom-credit-card-icons',
        'tab'            => 'faq',
        'fields'         => array(
            array(
                'type' => 'custom_html',
                'std'  => 'Development by <a href="https://www.wordpressguru.it" target="_blank">WordPressGuru.it</a> - <a href="https://www.themeinthebox.com" target="_blank">ThemeintheBox.com</a></br>
                For information and support <a href="mailto:supporto@wordpressguru.it">supporto@wordpressguru.it</a> - <a href="mailto:support@themeinthebox.com">support@themeinthebox.com</a>',
            ),
            
        ),
    );
    return $meta_boxes;
} );





/**
–	Register the payment icon
*/
function ccci_edd_payment_icon($icons) {

	$group_icons = rwmb_meta( 'ccci_icons', array( 'object_type' => 'setting' ), 'edd-custom-credit-card-icons' ); 
	if ( ! empty( $group_icons ) ) {

	    foreach ( $group_icons as $group_icon ) {
		   
		   if( ! empty( $group_icon['ccci_icon_method'] )) {
			   $imgs = $group_icon['ccci_icon_method'];
			   foreach ( $imgs as $img ) {
				   $icons[wp_get_attachment_image_url($img, 'medium')] = $group_icon['ccci_name_method'];
			   }
		   }
		   
	    }
	    return $icons;
	}
    
}
add_filter('edd_accepted_payment_icons', 'ccci_edd_payment_icon');





